%--------------------------------------------------------------------------
% function CstPickCenterpointFromId(fid,CName,CNum)
%
% Pouziti funkce:
% ---------------
% Funkce slouzi k vybery stredu objetku podle ID identifikace
% fid   - file identifier of the HFSS script file.
% CName - jmeno komponenty a jmeno danneho objektu je vzdy oddeleno
% dvojteckou pr: 'PEC:Driven Element', kde "PEC" je jmeno komponenty a     
% "Driven Element" je jmeno objektu!
% CNum - je cislo objektu plochy.
%
% Priklad pouziti funkce :
% ---------
% fid = fopen('antenna.m', 'wt');
% ... 
% function CstPickCenterpointFromId(fid,'PEC:Driven Element',2)
%--------------------------------------------------------------------------
function CstPickCenterpointFromId(fid,CName,CNum)
global mws;

% Vyber stredu objektu podle ID
    fprintf(fid, '%% Vyber stredu objektu podle ID\n');
    fprintf(fid, 'pick  = mws.invoke(''Pick'');\n');
    fprintf(fid, ['pick.invoke(''PickCenterpointFromId'',''',CName,''',',num2str(CNum),');\n']);
    
% Prime vykonani v programu CST
   pick  = mws.invoke('Pick');
   pick.invoke('PickCenterpointFromId',CName,CNum);
   
end